Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166143 - JUnit's re-run button does nothing for Maven projects
JUnit's re-run button does nothing for Maven projects
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 00:57 UTC by rdelaplante
Modified: 2009-07-20 10:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rdelaplante 2009-05-28 00:57:20 UTC
In NetBeans 6.7 the Maven support switched to the common test runner, but the re-run button does nothing when I click it.
Comment 1 Andrey Yamkovoy 2009-05-28 07:26:42 UTC
Rerun handler should be implemented on the maven side. If you see the button enabled then maven registered RerunHandler
implementation and it returns true for enabled() method. Looks like there is an issue with rerun() method implementation.
Reassign to maven for evaluation.
Comment 2 rdelaplante 2009-06-11 14:48:44 UTC
When I right click a failed test and click Run Again, it works.  When I click the green arrow buttons on the left to
rerun, nothing happens. 
Comment 3 rdelaplante 2009-06-11 14:51:52 UTC
When I try the green rerun button in a tiny project with only one junit test class, it works fine.   The project that is
having problems has hundreds of tests.
Comment 4 Milos Kleint 2009-06-29 14:23:45 UTC
http://hg.netbeans.org/main/rev/1356f03780ac
Comment 5 rdelaplante 2009-06-29 21:32:14 UTC
I'm happy to see you have a fix... that must mean you were able to duplicate my problem and verify the solution?  
Comment 6 Quality Engineering 2009-06-30 05:44:03 UTC
Integrated into 'main-golden', will be available in build *200906300200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1356f03780ac
User: Milos Kleint <mkleint@netbeans.org>
Log: #166143 order is important
Comment 7 Jaroslav Pospisil 2009-07-02 13:44:00 UTC
v.
Comment 8 pgebauer 2009-07-09 17:32:02 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/c198b67340e6
Comment 9 pribyl 2009-07-20 10:55:32 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907162301)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified in 6.7.1 RC


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo